import { LitElement } from 'lit';
export declare const enum Colors {
    'Dynamic' = "dynamic",
    'Primary' = "primary",
    'Secondary' = "secondary",
    'Tertiary' = "tertiary",
    'Success' = "success",
    'Danger' = "danger",
    'Warning' = "warning",
    'Light' = "light",
    'Medium' = "medium",
    'Dark' = "dark",
    'GradientPrimary' = "gradient-primary",
    'GradientSecondary' = "gradient-secondary",
    'GradientTertiary' = "gradient-tertiary",
    'GradientSuccess' = "gradient-success",
    'GradientDanger' = "gradient-danger",
    'GradientWarning' = "gradient-warning",
    'GradientLight' = "gradient-light",
    'GradientMedium' = "gradient-medium",
    'GradientDark' = "gradient-dark"
}
export declare const enum Sizes {
    'XS' = "xs",
    'SM' = "sm",
    'MD' = "md",
    'LG' = "lg",
    'XL' = "xl",
    'XXL' = "xxl"
}
export declare const ICON_6_SQUARE_FILL = "icon-6-square-fill";
export declare class Icon6SquareFillComponent extends LitElement {
    static styles: any;
    readonly size?: Sizes;
    readonly color?: Colors;
    protected render(): any;
}
